org.apache.lucene.benchmark.byTask.utils

## Enum StreamUtils.Type

- java.lang.Object
- - java.lang.Enum<StreamUtils.Type>
  - - org.apache.lucene.benchmark.byTask.utils.StreamUtils.Type

- All Implemented Interfaces:
    Serializable, Comparable<StreamUtils.Type>
  Enclosing class:
    StreamUtils

      public static enum StreamUtils.Type
      extends Enum<StreamUtils.Type>

  File format type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BZIP2` BZIP2 is automatically used for .bz2 and .bzip2 extensions.
    `GZIP` GZIP is automatically used for .gz and .gzip extensions.
    `PLAIN` Plain text is used for anything which is not GZIP or BZIP.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StreamUtils.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StreamUtils.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BZIP2

          public static final StreamUtils.Type BZIP2

      BZIP2 is automatically used for .bz2 and .bzip2 extensions.

    - #### GZIP

          public static final StreamUtils.Type GZIP

      GZIP is automatically used for .gz and .gzip extensions.

    - #### PLAIN

          public static final StreamUtils.Type PLAIN

      Plain text is used for anything which is not GZIP or BZIP.

  - ### Method Detail

    - #### values

          public static StreamUtils.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StreamUtils.Type c : StreamUtils.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StreamUtils.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.